Skip to main content
POST
Upload Payment Verification Details

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-api-version
string
required

API version to be used. Format is in YYYY-MM-DD. Ensure to pass 2025-01-01 in header to ensure this version is invoked.

Path Parameters

cf_payment_id
integer<int64>
required

Successful payment ID for the created order.

Body

multipart/form-data

The request body can include multiple document entries. Each key represents a valid doc_name. The value for each key can be either:

  • A string (when doc_type is VALUE)
  • A file (when doc_type is DOCUMENT)
importer_name
string
required

Name of the importer

goods_description
string
required

Description of the goods

importer_address
string

Address of the importer

invoice_number
string

Invoice number

country_of_origin
string

Country of origin

ecommerce_order_serial_number
string

E-commerce order serial number

hs_code
string

HS code

shipment_date
string<date>

Shipment date

port_of_loading
string

Port of loading

importer_address_postal_code
string

Importer address postal code

invoice_file
file

Invoice file

Response

This response can represent either a successful upload (when all documents are processed correctly) or a partial success (when some documents are successfully uploaded while others are missing or encountered errors).

  • Full Success: All documents are uploaded and processed without any issues.
  • Partial Success: Some documents are uploaded successfully, but others are either missing or encountered errors.
  • If documents are missing or errors occur, these will be returned in the response in the missing_documents or errors fields.
missing_documents
object[]

Documents expected for upload but are missing.

uploaded_documents
object[]

Documents successfully uploaded.

errors
object[]

Documents that encountered errors during processing.